OpenVDB: GetNodeInfo< BuildT > Struct Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Types | Static Public Member Functions | List of all members
GetNodeInfo< BuildT > Struct Template Reference

Implements Tree::getNodeInfo(Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Classes
struct | NodeInfo

## Public Types
using | ValueType = typename NanoLeaf<BuildT>::ValueType
using | FloatType = typename NanoLeaf<BuildT>::FloatType

## Static Public Member Functions
static NodeInfo | get (const NanoRoot< BuildT > &root)
static NodeInfo | get (const typename NanoRoot< BuildT >::Tile &tile)
static NodeInfo | get (const NanoUpper< BuildT > &node, uint32_t n)
static NodeInfo | get (const NanoLower< BuildT > &node, uint32_t n)
static NodeInfo | get (const NanoLeaf< BuildT > &leaf, uint32_t n)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetNodeInfo< BuildT >

Implements Tree::getNodeInfo(Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ◆ FloatType

template<typename BuildT >

using FloatType = typename NanoLeaf<BuildT>::FloatType

## ◆ ValueType

template<typename BuildT >

using ValueType = typename NanoLeaf<BuildT>::ValueType

## Member Function Documentation

## ◆ get() [1/5]

template<typename BuildT >

static NodeInfo get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [2/5]

template<typename BuildT >

static NodeInfo get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [3/5]

template<typename BuildT >

static NodeInfo get | ( | const NanoRoot< BuildT > & | root | ) |
| inlinestatic

## ◆ get() [4/5]

template<typename BuildT >

static NodeInfo get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n )
| inlinestatic

## ◆ get() [5/5]

template<typename BuildT >

static NodeInfo get | ( | const typename NanoRoot< BuildT >::Tile & | tile | ) |
| inlinestatic